[Unit]
Description=Propagate kerberos database to %i
ConditionPathExists=!/run/krb5kdc-%i
ConditionPathExists=/persist/krb5kdc/.is-master
After=krb5-kdc.service
Requires=krb5-kdc.service
After=kprop-dump.service
Requires=kprop-dump.service
JoinsNamespaceOf=kprop-dump.service
Upholds=kprop.target

[Service]
Type=oneshot
EnvironmentFile=/etc/default/kdc
ExecStart=/sbin/exec-with-hostname $KDC_HOSTNAME \
  /usr/sbin/kprop -s /persist/krb5.keytab -f /tmp/dump/slave-datatrans %i
ProtectSystem=strict
PrivateTmp=yes
#PrivateUsers=yes
